% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      wavebnd2
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the time domain
t = linspace(0,problem.T,61);

% plot the first optimal control
figure(1); clf; hold on
val = supplementary_u0(problem,t);
plot(t,val);
xlabel('t');
title('first optimal control (left boundary)');

% plot the second optimal control
figure(2); clf; hold on
val = supplementary_uL(problem,t);
plot(t,val);
xlabel('t');
title('second optimal control (right boundary)');

% generate a grid on the space-time domain
[x,t] = meshgrid(linspace(0,problem.L,61),linspace(0,problem.T,61));

% plot the optimal state
figure(3); clf; hold on
val = supplementary_y(problem,x,t);
surf(x,t,val);
xlabel('x');
ylabel('t');
title('optimal state');
view(3);

